Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5764 - Xjewel uses 100% CPU when started from window manager
Summary: Xjewel uses 100% CPU when started from window manager
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xjewel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-09 11:37 UTC by k.h.c.vanhouten
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-13 22:44:09 UTC


Attachments (Terms of Use)

Description k.h.c.vanhouten 1999-10-09 11:37:54 UTC
When xjewel is started with it's stdio redirected from and
to /dev/null, it will consume 100% cpu. This is the result
of incorrect arguments to select().
To demonstrate:
xjewel < /dev/null > /dev/null 2>&1 &

(Now watch CPU with xsoview).

I have a patch for this problem.

Comment 1 Michael K. Johnson 1999-11-22 18:54:59 UTC
Thank you.  You say you have a patch; could you please use the
"Create a new attachment" feature of bugzilla (you'll see it
under the Summary line) to include it?

Comment 2 k.h.c.vanhouten 1999-11-23 17:31:59 UTC
I couldn't find "Create a new attachment", But here is the patch:

--- xjewel-1.6.orig/xw.c        Wed Feb 16 11:34:51 1994
+++ xjewel-1.6/xw.c     Sun Oct  3 15:17:30 1999
@@ -156,6 +156,8 @@
        fd_set readfds, writefds, exceptfds;
        struct timeval timeout_BSD;

+       FD_ZERO(&readfds);
+       FD_ZERO(&exceptfds);
        FD_SET(XConnectionNumber(xw_display),&readfds);
        FD_SET(XConnectionNumber(xw_display),&exceptfds);
 #   else
@@ -224,6 +226,8 @@
                        }
                else
                        { ret = select(nfds,&readfds,NULL,&exceptfds,NULL); }
+               FD_ZERO(&readfds);
+               FD_ZERO(&exceptfds);
                FD_SET(XConnectionNumber(xw_display),&readfds);
                FD_SET(XConnectionNumber(xw_display),&exceptfds);
 #else

Comment 3 Nalin Dahyabhai 2000-01-07 18:14:59 UTC
Thanks for the patch, it's been applied.  Please verify it with
xjewel-1.6-12, which should be in the next Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.